<h2>Operații</h2>
<mat-paginator [pageSizeOptions]="[5, 10, 15]" [pageSize]="5" [length]="totalUndergoes" (page)="nextPage($event)"></mat-paginator>
<table>
    <thead>
        <tr>
            <th>Operație</th>
            <th>Cost</th>
            <th>Pacient</th>
            <th>Șterge</th>
        </tr>
    </thead>
    <tbody>
        <tr *ngFor='let undergo of undergoes'>
            <td>{{undergo.procedure.name}}</td>
            <td>{{undergo.procedure.cost}}</td>
            <td>{{undergo.stay.patient.name}}</td>
            <td>
                <mat-icon (click)="deleteUndergo(undergo.id)">delete</mat-icon>
            </td>
        </tr>
    </tbody>
</table>
